/**
 * MES点检率
 *	202505
 */
shr.defineClass("shr.compensation.MESCheckEdit", shr.framework.Edit, {

	
	initalizeDOM : function () {

		shr.compensation.MESCheckEdit.superClass.initalizeDOM.call(this);
		
		var self = this;
		var operateState = this.getOperateState().toUpperCase();
		if (operateState == 'ADDNEW' || operateState == 'EDIT'){
	 
			self.applierF7ChangeEvent();//员工，申请人F7监听事件
			 
		}
		if(operateState == 'ADDNEW' ){
			var curDate = new Date();
                var formatDate = curDate.format("yyyy-MM-dd");
                self.getField("bizDate").shrDateTimePicker("setValue",formatDate);
			
		}
		
		
	},
	
	
	applierF7ChangeEvent:function(){
		var self = this;
		if (self.getOperateState() != 'VIEW') {
		 
			
			$("#person").shrPromptBox("option", {
				onchange : function(e, value) {
					if(value.current){
						var personF7Id = value.current.id;
						if(personF7Id==null){
							return;						
						}
						shr.callService({
							serviceName : "getPersonPosOrgInfo",
							param :{
								personID: personF7Id,
								uiClass : self._uiClass
							},
							async : true,
							success : function (data) {
								if ( data&&data.length>0 ) {
								 
									self.updateCommonAffairBizBillData(data);
								}
							}
						})
						 
					}
				}
			});
		}
	},
	
	
	
	//补充加一个方法，每个单据有较多字段一样，可以在common里更新
	updateCommonAffairBizBillData:function(data){
		var self = this,
		personPosOrgData = data[0];
		var personData = personPosOrgData.person,
		 oldPositionData = personPosOrgData.position,
		 oldJobData = personPosOrgData.oldJob,
		 oldAdminOrgData = personPosOrgData.adminOrg,
		 oldCompanyData = personPosOrgData.company,
		 oldDepartment = personPosOrgData.department,
		 oldEmpPostRankData = personPosOrgData.oldEmpPostRank,
		 oldEmpTypeData = personPosOrgData.empType,
		 hrbizdefine = personPosOrgData.hrbizdefine;
		//职位
		if(oldPositionData!=null){
			var  entrys_oldPositionValue = {
				id : oldPositionData.id,
				name :oldPositionData.name
			}
		 	$("#position").shrPromptBox("setValue", entrys_oldPositionValue);
		}
		
		//公司
		if(oldCompanyData!=null){
			if($("#company").length != 0){
				var entrys_oldCompanyValue = {
					id:oldCompanyData.id,
					name:oldCompanyData.name,
					displayName:oldCompanyData.displayName
				};
				var $oldCompany = $("#company");
				var customParamValue = entrys_oldCompanyValue.displayName ? entrys_oldCompanyValue.displayName.split("_").length : 1;
				$oldCompany.shrPromptBox("setValue", entrys_oldCompanyValue);
			}
		 
		}
		//部门
		if(oldDepartment!=null){
			var departm = {
				id: oldDepartment.id,
				name: oldDepartment.name,
			};
			$("#depart").shrPromptBox("setValue", departm);
		}
		//员工编码  
		if(personData!=null){
			$("#personNum").val(personData.number);
		 
		}
		
		
		
		
		// //原职务
		// if(oldJobData!=null){
		// 	var  entrys_oldJobValue = {
		// 		id : oldJobData.id,
		// 		name :oldJobData.name
		// 	}
		//  	$("#entrys_oldJob").shrPromptBox("setValue", entrys_oldJobValue);
		// }
		// //原组织
		// if(oldAdminOrgData!=null){
		// 	var  entrys_oldAdminOrgValue = {
		// 		id : oldAdminOrgData.id,
		// 		name : oldAdminOrgData.name
		// 	}
		//  	$("#entrys_oldAdminOrg").shrPromptBox("setValue", entrys_oldAdminOrgValue);
		// }
		// 
		// //原职层职等
		// if(oldEmpPostRankData!=null){
		// 	if($('#entrys_oldJobGrade')!=null){
		// 		$('#entrys_oldJobGrade').shrPromptBox("setValue" ,{id:oldEmpPostRankData.jobGradeId,name:oldEmpPostRankData.jobGradeName});
		// 	}
		// 	if($('entrys_oldJobLevel')!=null){
		// 		$('#entrys_oldJobLevel').shrPromptBox("setValue" ,{id:oldEmpPostRankData.jobLevelId,name:oldEmpPostRankData.jobLevelName});
		// 	}
		// }
		// //原员工状态
		// if(oldEmpTypeData!=null){
		// 	var entrys_oldEmpTypeValue = {
		// 		id:oldEmpTypeData.id,
		// 		name:oldEmpTypeData.name
		// 	}
		// 	$("#entrys_oldEmpType").shrPromptBox("setValue", entrys_oldEmpTypeValue);
		// }
		
	},
	
	
	
});