shr.defineClass("shr.compensation.TimepieceSchemeBillEx", shr.compensation.TimepieceSchemeBill, {
	initalizeDOM: function() {
		var _self = this;
		shr.compensation.TimepieceSchemeBillEx.superClass.initalizeDOM.call(this);
		 
	},

 
 
	 
 

	saveAction: function(event) {
		var _self = this;
		if(_self.validate('save') && _self.verify()){// 需要先进行基本的校验
			_self.weakVerify(function() {
				// 修改这里：直接调用当前类的doSave方法
				_self.doSave(event, 'save');  // 关键修改点
			}, "save");
		}else{
			if(_self != top){// in iframe
				shr.setIframeHeight(window.name);
			} 
		}	
	},


	checkHeadData: function() {
		var flag = true;
		var hrOrgUnit = $('#hrOrgUnit').shrPromptBox('getValue');
		var adminOrg = $('#adminOrg').shrPromptBox('getValue');
		var submitScheme = $('#submitScheme').shrPromptBox('getValue');	
		
		var emsg= '';
		if(null == hrOrgUnit || "" == hrOrgUnit.id){
		  flag = false;
		  emsg += "[业务组织]";
	  }
	  if(null == adminOrg || "" == adminOrg.id){
		  flag = false;
		  emsg += "[行政组织]";
	  }

		if(null == submitScheme || "" == submitScheme.id){
			flag = false;
			emsg += "<[日薪方案]";
		}
		if(!flag){
			emsg += "字段不能为空,请完善信息再操作!"
			 
			shr.showWarning({
                        message: emsg,
                        hideAfter: 5
                    });
		}
	     return  flag;
	},
	
	validate: function(exeVal) {
		var _self = this;
		var workArea = this.getWorkarea();
		var $form = $("form", workArea);
		var flag = this.checkNoPermFields();
		if(!flag){
			return flag;
		}
		if(exeVal == 'save'){
			 flag = _self.checkHeadData()
		}else{
			flag = $form.wafFormValidator("validateForm", true);
		}
		if(exeVal == 'save' && !flag){
			return flag;
		}

		//判断是否有必填的头像没有上传
		$("[ctrlrole='headUpload']").each(function(index, item){
            var rule = $.validator.attributeRules(item);
            var isRequired = rule && rule.required;
            if($(item).attr('src') == 'images/default_headsmall.png' && isRequired){
                flag = false;
            }
        })

		if (!flag) {
			this.handleErrorTip($form);
			return flag;
		}		

		if (this.checkAttachment().length > 0) {
			flag = false;
			shr.showWarning({
				message: this.checkAttachment().join(',') + $.shrI18n.framework.tips.attachmentNeedUpload,
				hideAfter: 5
			});
		}
		return flag;
	},

/**
	 * 保存真正执行方法
	 */
	doSave: function(event, action) {
		var _self = this;
		var data = _self.assembleSaveData(action);
		
		var target;
		if (event && event.currentTarget) {
			target = event.currentTarget;
		}
		shr.doAction({
			target: target,
			url: _self.dynamicPage_url,
			type: 'post', 
			data: data,
			success : function(data) {
				var responseData = data.responseData
				if (_self.isFromF7()) {
					// 来自F7，关闭当前界面，并给F7设置
					var dataF7 = {
						id : responseData,
						name : $.parseJSON(data.model).name
					};
					dialogClose(dataF7);
				} else {
					var assignedRowsCount = data.assignedRowsCount;
							// 普通保存，去除最后一个面包屑，防止修改名字造成面包屑重复
							shrDataManager.pageNavigationStore.pop();
					if( 0 != assignedRowsCount ){
						shr.showInfo({
        					message: "保存成功,已填入了"+assignedRowsCount+"条点检率数据."
        				});
						//3秒后再执行其他操作
						setTimeout(function(){
							_self.viewAction(responseData);
						}, 1800);
					}else{
						_self.viewAction(responseData);
					}
				}
			}
		});	
	},

	
});