package com.kingdee.shr.compensation.app.utils;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.metadata.entity.FilterInfo;
import com.kingdee.bos.metadata.entity.FilterItemInfo;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.bos.metadata.entity.SelectorItemInfo;
import com.kingdee.bos.metadata.query.util.CompareType;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.calcdailypay.IInspectionRate;
import com.kingdee.eas.custom.calcdailypay.InspectionRateCollection;
import com.kingdee.eas.custom.calcdailypay.InspectionRateFactory;
import com.kingdee.eas.custom.calcdailypay.InspectionRateInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.util.ToolUtils;
import com.kingdee.eas.util.app.DbUtil;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.compensation.app.integrate.BatchSubmitShemeBillEntryCollection;
import com.kingdee.shr.compensation.app.integrate.BatchSubmitShemeBillEntryInfo;
import com.kingdee.shr.compensation.app.integrate.BatchSubmitShemeBillInfo;
import com.kingdee.shr.compensation.app.integrate.CalSubmitItemCollection;
import com.kingdee.shr.compensation.app.integrate.CalSubmitItemFactory;
import com.kingdee.shr.compensation.app.integrate.CalSubmitItemInfo;

import java.math.BigDecimal;
import java.sql.SQLException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang3.ObjectUtils;
import org.apache.commons.lang3.StringUtils;

public class SubmitShemeUtils {

//    private static String COMRATE = "MQ005";
//    //λ
//    private static String JOBTYPE = "MQ004";
//    //ܵȼ SKILLLEVEL
//    private static String SKILLLEVEL = "MQ003";
//    //Ƿֳҵ On site
//    private static String ONSITE = "MQ007";
//    //ְ Team app
//    private static String TEAMAPP = "MQ007";
//    // Salary seq
//    private static String SALARYSEQ = "MQ007";
//    
//    private static String MESID = "MESID";
//    private static String[] ITEMNUMS = {SubConstants.COMRATE,SubConstants.JOBTYPE,SubConstants.SKILLLEVEL,SubConstants.ONSITE,SubConstants.TEAMAPP,SubConstants.SALARYSEQ};
    
    private static  SimpleDateFormat  SDF = new SimpleDateFormat("yyyy-MM-dd");
    
    private static Map<String,String> FEILDS = new HashMap();
	private static  HashMap<String,String> JOBTYPEMAP =  new HashMap();
  


    /**
	 * мȡmes
	 */
	public static HashMap<String,HashMap>  getMesData( Context ctx ,HashSet<String> selectPerson,DateRange dateRange) {
		if(ObjectUtils.isEmpty(FEILDS)) {
			getFeilds(ctx);
		}
		//ȡܵȼ
		if(ObjectUtils.isEmpty(JOBTYPEMAP)) {
			getJobType(ctx);
		}
		HashMap<String, HashMap> checkMap = new HashMap();
		SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
		try {
			String sql = " select fid ,CFComrate, cfpersonId, cfpositiontype , cfskillLevel , cfonSite , cfteamApp , cfsalarysEq ,"
					+ " cfbizDate  "
					+ " from  CT_CAL_InspectionRate  where cfpersonid in "
					+ "( "
					+ ToolUtils.aryToStr(selectPerson,true)
					+ " ) "
					+ " and cfbizDate >= '"
					+ dateFormat.format(dateRange.getMinDate())
					+ "' and  cfbizDate <= '"
					+ dateFormat.format(dateRange.getMaxDate())
					+"'" ;

			IRowSet rst =  DbUtil.executeQuery(ctx, sql);
			while( rst.next() ) {
				//id
				String checkbillId  = rst.getString("fid");
				String pId = rst.getString("cfPersonId");
				Date bizDate = rst.getDate("cfbizDate");
				String eDate = SDF.format(bizDate);
				String key = pId+"_"+eDate;
				HashMap<String,String> valMap = new HashMap();
				BigDecimal comrate = rst.getBigDecimal("CFComrate");
				valMap.put(FEILDS.get(SubConstants.COMRATE), comrate.toString());
				String posiType = rst.getString("cfpositiontype");
				//λͰJOBTYPEMAPУȡӦfidÿ
				String cFpositiontype = JOBTYPEMAP.get(posiType);
				if(ObjectUtils.isEmpty(cFpositiontype)){
					cFpositiontype = "";
				}
				valMap.put(FEILDS.get(SubConstants.JOBTYPE), cFpositiontype);
				valMap.put(FEILDS.get(SubConstants.SKILLLEVEL), rst.getString("cfskillLevel"));
				valMap.put(FEILDS.get(SubConstants.ONSITE), rst.getString("cfonSite"));
				valMap.put(FEILDS.get(SubConstants.TEAMAPP), rst.getString("cfteamApp"));
				valMap.put(FEILDS.get(SubConstants.SALARYSEQ), rst.getString("cfsalarysEq"));
				valMap.put(SubConstants.MESID, rst.getString("fid"));
				checkMap.put(key, valMap);
			}

			
		}catch(BOSException e){
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		return checkMap;

	}


	//ȡλ
	private static void getJobType(Context ctx) {
		String  jobTypeSql = " select  fname_l2 ,fid  from CT_MP_Yunweigwlx " ;
		//ѯsqlmap
		try {
			IRowSet rst =  DbUtil.executeQuery(ctx, jobTypeSql);
			while( rst.next() ) {
				String  fname_l2 = rst.getString("fname_l2");
				String  fid = rst.getString("fid");
				JOBTYPEMAP.put(fname_l2 , fid );
			}
		}catch(BOSException e){
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}


	public  static Map<String,String>  getFeilds(Context ctx) {
		CalSubmitItemCollection subColl = null;
		try {
			subColl = CalSubmitItemFactory.getLocalInstance(ctx)
			        .getCalSubmitItemCollection("SELECT ID,FieldSn,number  where  number in (" + ToolUtils.aryToStr(SubConstants.ITEMNUMS) + ")");
		} catch (BOSException e1) {
			e1.printStackTrace();
		}
        if (subColl != null && subColl.size() > 0) {
            for (int i =0 ;i<subColl.size();i++) {
                CalSubmitItemInfo itemInfo = subColl.get(i);
                if (itemInfo != null) {
                    String columnName = "S" + itemInfo.getFieldSn();
                    FEILDS.put(itemInfo.getNumber() , columnName);
                }
            }
        }
        return FEILDS;
	}

    
    
    
    
    
    /**
	 * õ
	 * @param request
	 * @param entrys
	 */
	public static void setMesData(HttpServletRequest request, BatchSubmitShemeBillEntryCollection entrys,
						   HashMap<String, HashMap> mesData)  {
		int assignedRows = 0; // ͳʵʸֵ
		Set<String>  checkbillIds = new HashSet();
		for (int i = 0; i < entrys.size(); i++) {
			BatchSubmitShemeBillEntryInfo entry = entrys.get(i);
			String pId = entry.getPerson().getId().toString();
			Date effectDate = entry.getEffectDate();
			String eDate = SDF.format(effectDate);
			String key = pId + "_" + eDate;
			HashMap valMap = mesData.get(key);

			if (ObjectUtils.isEmpty(valMap)) {
				continue;
			}

			boolean isRowAssigned = false; // ǵǰǷ񱻸ֵ
			for (String field : FEILDS.keySet()) {
				String sVal = FEILDS.get(field);
				if (entry.containsKey(sVal)) {
					entry.put(sVal, valMap.get(sVal));
					isRowAssigned = true; // ǰһֶαֵ
				}
			}

			if (isRowAssigned) {
				checkbillIds.add(valMap.get(SubConstants.MESID).toString());
				assignedRows++; // ֻʵʸֵвż
			}
		}
		
		// ͳƽ request
		request.setAttribute("checkbillIds", checkbillIds);

		// ͳƽ request
		request.setAttribute("assignedRowsCount", assignedRows);
	}
	
	
    
	public static  DateRange findMinMaxDate(HashSet<String> subDate) {
		if (subDate == null || subDate.isEmpty()) {
			return null;
		}

		List<Date> dates = new ArrayList<>();
		SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
		for (String dateString : subDate) {
			try {
				dates.add(dateFormat.parse(dateString.trim()));
			} catch (ParseException e) {
				// ڸʽȷ
				e.printStackTrace();
				return null; // ڸʽȷֱӷ null
			}
		}
		if (dates.isEmpty()) {
			return null;
		}

		Date minDate = Collections.min(dates);
		Date maxDate = Collections.max(dates);

		return new DateRange(minDate, maxDate);
	}
    
    
	
	
	/**
	 * µ
	 * @param request
	 * @param ctx
	 * @param info
	 */
	public  static void updateInspectionRate(  Context ctx, BatchSubmitShemeBillInfo info,Set<String> checkbillIds ) {
		//µ
		FilterInfo filter = new FilterInfo();
		filter.getFilterItems().add(new FilterItemInfo("id", checkbillIds, CompareType.INCLUDE));
		EntityViewInfo viewInfo = new EntityViewInfo( ) ;
		viewInfo.setFilter(filter);
		SelectorItemCollection selector = viewInfo.getSelector();
		selector.add(new SelectorItemInfo("detailNum"));
		selector.add(new SelectorItemInfo("isSubDetail"));
		try {
			IInspectionRate spIns = InspectionRateFactory.getLocalInstance(ctx);
			InspectionRateCollection inspectionRateCollection = spIns.getInspectionRateCollection(viewInfo);
			CoreBaseCollection cCol = new CoreBaseCollection();
			for(int i = 0;i<inspectionRateCollection.size();i++){
				InspectionRateInfo inspectionRateInfo = inspectionRateCollection.get(i);
				inspectionRateInfo.setDetailNum(info.getNumber());
				inspectionRateInfo.setIsSubDetail(true);
				cCol.add(inspectionRateInfo);
			}
			spIns.updateBatchData(cCol);
		} catch (BOSException e) {
			throw new RuntimeException(e);
		} catch (EASBizException e) {
			throw new RuntimeException(e);
		}
	}
	
	
	
	
	
	/**
	 * õʱʶ
	 * ǷᱨǻԭΪfalse;
	 * @param ctx
	 * @param info
	 */
	public static void reductionInspectionRate(Context ctx, BatchSubmitShemeBillInfo info) {
		//µ
		String  subNum = info.getNumber();
		if(StringUtils.isEmpty(subNum)){
			return;
		}
		FilterInfo filter = new FilterInfo();
		filter.getFilterItems().add(new FilterItemInfo("detailNum", subNum, CompareType.EQUALS));
		EntityViewInfo viewInfo = new EntityViewInfo( ) ;
		viewInfo.setFilter(filter);
		SelectorItemCollection selector = viewInfo.getSelector();
		selector.add(new SelectorItemInfo("detailNum"));
		selector.add(new SelectorItemInfo("isSubDetail"));
		try {
			IInspectionRate spIns = InspectionRateFactory.getLocalInstance(ctx);
			InspectionRateCollection inspectionRateCollection = spIns.getInspectionRateCollection(viewInfo);
			CoreBaseCollection cCol = new CoreBaseCollection();
			for(int i = 0;i<inspectionRateCollection.size();i++){
				InspectionRateInfo inspectionRateInfo = inspectionRateCollection.get(i);
				inspectionRateInfo.setDetailNum("");
				inspectionRateInfo.setIsSubDetail(false);
				cCol.add(inspectionRateInfo);
			}
			spIns.updateBatchData(cCol);
		} catch (BOSException e) {
			throw new RuntimeException(e);
		} catch (EASBizException e) {
			throw new RuntimeException(e);
		}
	}
    
}
